# -*- coding: utf-8 -*-
# @Time : 2020/6/13 10:21
# @Author : XuJiakai
# @File : clipboard_util
# @Software: PyCharm


def get_text():
    import win32con
    import win32clipboard as wincld
    wincld.OpenClipboard()
    text_result = wincld.GetClipboardData(win32con.CF_UNICODETEXT)
    wincld.CloseClipboard()
    return text_result


def set_text(info):
    import win32con
    import win32clipboard as wincld
    wincld.OpenClipboard()
    wincld.EmptyClipboard()
    wincld.SetClipboardData(win32con.CF_UNICODETEXT, info)
    wincld.CloseClipboard()


def pause_break(print_msg=""):
    if print_msg != '':
        print(print_msg)

    input("按任意键继续...\n")
    pass


if __name__ == '__main__':
    pause_break()
    pass
